# Fields

ACME JSON fields.

class acme.fields.Fixed(json_name: str, value: Any)

  Fixed field.

  decode(value: Any) → Any

    Decode a value, optionally with context JSON object.

  encode(value: Any) → Any

    Encode a value, optionally with context JSON object.

class acme.fields.RFC3339Field(json_name: str, default: Optional[Any] = None, omitempty: bool = False, decoder: Optional[Callable[[Any], Any]] = None, encoder: Optional[Callable[[Any], Any]] = None)

  RFC3339 field encoder/decoder.

  Handles decoding/encoding between RFC3339 strings and aware (not naive) `datetime.datetime` objects (e.g. `datetime.datetime.now(pytz.utc)`).

class acme.fields.Resource(resource_type: str, *args: Any, **kwargs: Any)

  Resource MITM field.

  decode(value: Any) → Any

    Decode a value, optionally with context JSON object.